Subject: Re: bug#15478: cc-mode does not obey electric-indent-mode

From: Daniel Colascione <[email-masked]>
Date: Wed, 02 Oct 2013 19:46:42 -0700

On 10/2/13 6:50 PM, Stefan Monnier wrote:
>> Without electricity, correct indentation would require continual pressing
>> of the <tab> key.
> 
> Yes.  Just as is the case in all major modes.
> 
>> "|" indicates the position of point.  Now type "{".  With electricity,
>> the "{" is instantly indented to its correct position under the "if".
>> Without electricity, the user needs to remember to type <tab> before C-j
>> on L4.  This is an unacceptable default state, IMAO.
> 
> That's because *you* like electric-indent-mode.  Not because C is special.

Electric indentation is more useful in a language like C than it is in
something like Python --- C has a richer set of brace characters.
cc-mode's sophisticated syntactic indentation is an Emacs "killer feature".

Anyway, we should be showcasing it by default, using electric
indentation, instead of hiding it behind configuration because users
might want to lobotomize their indentation by rebinding <tab>.